multisites on newest version of wordpress

Hi Guys,

I tried to install the Multisites plugin to enable pro sites and it says its not compatible with the latest version of wordpress?

Any ideas or help please ?

Cheers
Ian